---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 5c260343-174e-5a49-b91d-ef73fa1a7b54
      tier: AATSR_CMP_MONTH
      value: 0.05546989291906357
    brdf:
      alpha_1:
        band_1: 0.08236039820736317
        band_11: 0.16391743477039508
        band_12: 0.09206062238642947
        band_2: 0.08236039820736317
        band_3: 0.14354772949415373
        band_4: 0.07502461547385411
        band_5: 0.07502461547385411
        band_6: 0.07502461547385411
        band_7: 0.258060584373966
        band_8: 0.258060584373966
        band_8a: 0.258060584373966
      alpha_2:
        band_1: 0.1498032702842466
        band_11: 0.12574548308739694
        band_12: 0.12877113720933886
        band_2: 0.1498032702842466
        band_3: 0.1956268536531594
        band_4: 0.14682774821933647
        band_5: 0.14682774821933647
        band_6: 0.14682774821933647
        band_7: 0.12027663608370026
        band_8: 0.12027663608370026
        band_8a: 0.12027663608370026
      id:
      - 6bb7882a-6d76-5ce0-9bd3-b3fb0a0eaf09
      - d4a79f70-2df0-5243-b587-7b0b1c2a7426
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c63b9e62-afc8-5099-8eb0-17b9439118c4
      tier: DEFINITIVE
      value: 0.285
    water_vapour:
      id:
      - a01a0c68-0ecf-5f7c-be42-ccfb058573d2
      tier: DEFINITIVE
      value: 0.9899999618530274
  id: 064a7481-e269-41ba-b762-b66b5dc80baf
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1888.0232089955355
      BAND-11: 229.84814771023505
      BAND-12: 78.61215236381013
      BAND-2: 1929.847137047336
      BAND-3: 1807.0214823541385
      BAND-4: 1475.4335351044363
      BAND-5: 1362.0147608209113
      BAND-6: 1242.842531037545
      BAND-7: 1137.7520146356915
      BAND-8: 1007.6733057493656
      BAND-8A: 918.9186771489652
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-07-04 01:15:45.716108Z
    atime: 2023-07-14 10:17:02Z
    ctime: 2023-07-04 04:48:31Z
    mtime: 2023-07-04 04:48:25Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-07/30S130E-35S135E/S2A_MSIL1C_20230704T010731_N0509_R045_T53JLG_20230704T023308.zip
  system_information:
    hostname: gadi-cpu-clx-2215.gadi.nci.org.au
    runtime_id: 939ea622-222f-11ee-924e-00000188fe80
    time_processed: 2023-07-14 10:17:03.041597Z
    uname: 'Linux gadi-cpu-clx-2215.gadi.nci.org.au 4.18.0-425.3.1.el8.nci.x86_64
      #1 SMP Mon Jan 9 11:39:52 AEDT 2023 x86_64'
gqa:
  colors:
    blue: 20.0
    green: 5720.0
    red: 11.0
    teal: 118.0
    yellow: 8.0
  error_message: no errors
  final_qa_count: 5672
  granule: S2A_OPER_MSI_L1C_TL_2APS_20230704T023308_A041941_T53JLG_N05.09
  ref_date: '2014-07-31T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata-2/GCP/GQA_v3/wrs2/102/081/LC81020812014212LGN00_B6.TIF
  residual:
    abs:
      x: 0.2
      xy: 0.24
      y: 0.13
    abs_iterative_mean:
      x: 0.18
      xy: 0.21
      y: 0.11
    cep90: 0.35
    iterative_mean:
      x: 0.17
      xy: 0.18
      y: 0.06
    iterative_stddev:
      x: 0.1
      xy: 0.16
      y: 0.12
    mean:
      x: 0.16
      xy: 0.18
      y: 0.07
    stddev:
      x: 0.53
      xy: 0.62
      y: 0.31
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.9041675375994
    cloud: 6.635678050172362e-06
    cloud_shadow: 6.635678050172362e-06
    snow: 0.0877037567891281
    water: 0.008115434255360798
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 99.99668547881394
    cloud: 0.0033145211860610944
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.7
...
